/*
 * This file is part of jSpeed.
 *
 * jSpeed is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * jSpeed is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with jSpeed.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef MEDIAPLAYER_H
#define MEDIAPLAYER_H

#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QList>

class QMediaPlayer;

class MediaPlayer
{
public:
    enum Format {MP3, WAV, AAC, FORMAT_COUNT};
    static void init();
    static bool play(QString const& file);
    static void getSupportedFormats(QList<QString>& formats);
    static QString getFormatPattern();
    static QStringList getFormatPatterns();
    static QString getSoundDir();
    static QString const& getLocalSoundDir();

private:
    static QMediaPlayer* getPlayer();
};

#endif
